inkview -- windows reported crash??

Bug #1731006 reported by carmen fierro on 2017-11-08
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Inkscape
Undecided
Unassigned

Bug Description

After update to Inkscape 0.92.2, running windows 7:
- I have added to the .svg context menu in the windows explorer (NOT the browser) to "open with inkview", and it works like a charm, just as it did for the previous version--I only miss an option to tab through the other .svg in the folder...
- BUT with the new version, every time I use it, windows reports, in the "reliability report" (mine is a localized version, don't know the english name of the feature) that "Inkview crashed unexpectedly"--IT DIDN'T, I just clicked the "close" button in the window bar! And, should I repeatedly use inkview in a session, I get an open prompt to "report the issue and help microsoft to address it..."
Thanks!

Patrick Storz (ede123) wrote :

Could you please check if the issue persists in a recent nightly build of 0.92.x? There was an issue in one of the third-party libraries which caused Inkscape to crash on exit which could explain the behavior you're seeing (see bug #1412365 / bug #1714278).

You can find nightly builds at [1], the latest build of 0.92.x currently is [2] (choose either 64-bit or 32-bit version then click on artifacts and download the 7z archive).

[1] https://ci.appveyor.com/project/inkscape/inkscape/history
[2] https://ci.appveyor.com/project/inkscape/inkscape/build/0.92.x-684

Patrick Storz (ede123) wrote :

Just checked on a Windows 7 VM:
- with Inkscape 0.92.2 (5c3e80d, 2017-08-06) Inkview crashes
- with Inkscape 0.92.2 (5c3e80d, 2017-08-06) Inkview works fine

So this will likely be solved in the next version!
If you want you could use one of the 0.92.x builds for your productive work, they're more or less as stable as the released version (if not more stable as in this case).

Patrick Storz (ede123) wrote :

sorry, Inkscape 0.92.2 (23899f58bf, 2017-10-01) is working fine (copy+paste fail on my side)

Sorry, I tried to follow your links, but didn't find any 'download' button,
or similar to my untotored eye--I am just an user, so the fault is likely
mine...
By the way, I have finally succeeded in calling inkview from the shell
with "PathToFolder\*.svg", and:
- crash reports persist;
- 'Enter' key opens auxiliary window 'without icons', as by another
reported bug.
I am ready enough to give a trial to a nightly build, provided I can find
it for downloading ... I am on a x64 windows 7 (home premium).
Many thanks.

Carmen

2017-11-14 22:34 GMT+01:00 Eduard Braun <email address hidden>:

> Could you please check if the issue persists in a recent nightly build
> of 0.92.x? There was an issue in one of the third-party libraries which
> caused Inkscape to crash on exit which could explain the behavior you're
> seeing (see bug #1412365 / bug #1714278).
>
> You can find nightly builds at [1], the latest build of 0.92.x currently
> is [2] (choose either 64-bit or 32-bit version then click on artifacts
> and download the 7z archive).
>
> [1] https://ci.appveyor.com/project/inkscape/inkscape/history
> [2] https://ci.appveyor.com/project/inkscape/inkscape/build/0.92.x-684
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1731006
>
> Title:
> inkview -- windows reported crash??
>
> Status in Inkscape:
> New
>
> Bug description:
> After update to Inkscape 0.92.2, running windows 7:
> - I have added to the .svg context menu in the windows explorer (NOT the
> browser) to "open with inkview", and it works like a charm, just as it did
> for the previous version--I only miss an option to tab through the other
> .svg in the folder...
> - BUT with the new version, every time I use it, windows reports, in the
> "reliability report" (mine is a localized version, don't know the english
> name of the feature) that "Inkview crashed unexpectedly"--IT DIDN'T, I just
> clicked the "close" button in the window bar! And, should I repeatedly use
> inkview in a session, I get an open prompt to "report the issue and help
> microsoft to address it..."
> Thanks!
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/inkscape/+bug/1731006/+subscriptions
>

carmen fierro (cfierrob) wrote :

- Installed the .7z as by the link--barring the 'locale' folder, which I
always skip
- No more crashes reported
Thanks

Carmen

2017-11-15 0:22 GMT+01:00 Eduard Braun <email address hidden>:

> https://ci.appveyor.com/api/buildjobs/gxy4oe6r90ka37gs/
> artifacts/build%2Finkscape-0.92.2_2017-11-10_47e1a9a-x64.7z
>
> (and please don't mix different issues in the same bug...)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1731006
>
> Title:
> inkview -- windows reported crash??
>
> Status in Inkscape:
> New
>
> Bug description:
> After update to Inkscape 0.92.2, running windows 7:
> - I have added to the .svg context menu in the windows explorer (NOT the
> browser) to "open with inkview", and it works like a charm, just as it did
> for the previous version--I only miss an option to tab through the other
> .svg in the folder...
> - BUT with the new version, every time I use it, windows reports, in the
> "reliability report" (mine is a localized version, don't know the english
> name of the feature) that "Inkview crashed unexpectedly"--IT DIDN'T, I just
> clicked the "close" button in the window bar! And, should I repeatedly use
> inkview in a session, I get an open prompt to "report the issue and help
> microsoft to address it..."
> Thanks!
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/inkscape/+bug/1731006/+subscriptions
>

Patrick Storz (ede123) wrote :

OK, great!

Feel free to report the other issues or add any information you have to the existing bugs you mentioned (but didn't link).

Changed in inkscape:
status: New → Fix Committed
milestone: none → 0.92.3
Bryce Harrington (bryce) on 2018-05-12
Changed in inkscape:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers